Can´t update httpd 2.2.15-47.el6.vm

20 posts / 0 new
Last post
#1 Sat, 08/29/2015 - 06:22
ivanbg

Can´t update httpd 2.2.15-47.el6.vm

Hello,

I can't update to the latest version of httpd and mod_ssl (2.2.15-47.el6.vm). My system is Centos 6.7 (Linux 2.6.32-042stab085.20 on i686).

Thank you very much.

The Log:

Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: mirror.cogentco.com
* extras: centos.mirror.nac.net
* updates: mirrors.advancedhosters.com
Resolving Dependencies
--> Running transaction check
---> Package httpd-devel.i686 1:2.2.15-39.el6.vm will be updated
---> Package httpd-devel.i686 1:2.2.15-47.el6.vm will be an update
--> Processing Dependency: httpd = 1:2.2.15-47.el6.vm for package: 1:httpd-devel-2.2.15-47.el6.vm.i686
--> Running transaction check
---> Package httpd.i686 1:2.2.15-39.el6.vm will be updated
--> Processing Dependency: httpd = 1:2.2.15-39.el6.vm for package: 2:mod_ssl-2.2.15-39.el6.vm.i686
---> Package httpd.i686 1:2.2.15-47.el6.vm will be an update
--> Processing Dependency: httpd-tools = 2.2.15-47.el6.vm for package: 1:httpd-2.2.15-47.el6.vm.i686
--> Running transaction check
---> Package httpd.i686 1:2.2.15-47.el6.vm will be an update
--> Processing Dependency: httpd-tools = 2.2.15-47.el6.vm for package: 1:httpd-2.2.15-47.el6.vm.i686
---> Package mod_ssl.i686 2:2.2.15-39.el6.vm will be updated
---> Package mod_ssl.i686 2:2.2.15-47.el6.vm will be an update
--> Finished Dependency Resolution
Error: Package: 1:httpd-2.2.15-47.el6.vm.i686 (virtualmin)
Requires: httpd-tools = 2.2.15-47.el6.vm
Installed: 1:httpd-tools-2.2.15-39.el6.vm.i686 (@virtualmin)
httpd-tools = 1:2.2.15-39.el6.vm
Available: httpd-tools-2.2.15-45.el6.centos.i686 (base)
httpd-tools = 2.2.15-45.el6.centos
Available: httpd-tools-2.2.15-47.el6.centos.i686 (updates)
httpd-tools = 2.2.15-47.el6.centos
Available: 1:httpd-tools-2.2.15-9.el6.2.vm.i686 (virtualmin)
httpd-tools = 1:2.2.15-9.el6.2.vm
Available: 1:httpd-tools-2.2.15-9.sl6.vm.i386 (virtualmin)
httpd-tools = 1:2.2.15-9.sl6.vm
Available: 1:httpd-tools-2.2.15-15.el6.vm.i386 (virtualmin)
httpd-tools = 1:2.2.15-15.el6.vm
Available: 1:httpd-tools-2.2.15-15.el6.vm.1.i686 (virtualmin)
httpd-tools = 1:2.2.15-15.el6.vm.1
Available: 1:httpd-tools-2.2.15-28.el6.vm.i686 (virtualmin)
httpd-tools = 1:2.2.15-28.el6.vm
Available: 1:httpd-tools-2.2.15-28.el6.vm.1.i686 (virtualmin)
httpd-tools = 1:2.2.15-28.el6.vm.1
Available: 1:httpd-tools-2.2.15-29.el6.vm.i686 (virtualmin)
httpd-tools = 1:2.2.15-29.el6.vm
Available: 1:httpd-tools-2.2.15-29.el6.vm.1.i686 (virtualmin)
httpd-tools = 1:2.2.15-29.el6.vm.1
Available: 1:httpd-tools-2.2.15-30.el6.vm.i686 (virtualmin)
httpd-tools = 1:2.2.15-30.el6.vm
Available: 1:httpd-tools-2.2.15-31.el6.centos.vm.i686 (virtualmin)
httpd-tools = 1:2.2.15-31.el6.centos.vm
Available: 1:httpd-tools-2.2.15-47.el6.vm.i686 (virtualmin)
httpd-tools = 1:2.2.15-47.el6.vm
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Sat, 08/29/2015 - 14:23
rogeriobrito

Same problem here, CentOS 6.7 Linux 2.6.32-573.3.1.el6.i686 on i686

Sat, 08/29/2015 - 15:45
manfer

Same problem too

Sat, 08/29/2015 - 20:25
cyrus

No problems on a CentOS 7 box nere

Sun, 08/30/2015 - 00:41
andreychek

Thanks -- I've let Joe know about this issue, he's looking into it.

-Eric

Sun, 08/30/2015 - 07:06
yo9ina

Same problem too...

My error is for: httpd New version 2.2.15-47.el6.vm
mod_ssl New version 2.2.15-47.el6.vm

After install trying: You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest .. install failed! No packages were installed. Check the messages above for the cause of the error.

Mon, 08/31/2015 - 08:47
rhertzler

Error: Package: 1:httpd-2.2.15-47.el6.vm.i686 (virtualmin) Requires: httpd-tools = 2.2.15-47.el6.vm Installed: 1:httpd-tools-2.2.15-39.el6.vm.i686 (@virtualmin) httpd-tools = 1:2.2.15-39.el6.vm Available: httpd-tools-2.2.15-45.el6.centos.i686 (base) httpd-tools = 2.2.15-45.el6.centos Available: httpd-tools-2.2.15-47.el6.centos.i686 (updates) httpd-tools = 2.2.15-47.el6.centos Available: 1:httpd-tools-2.2.15-9.el6.2.vm.i686 (virtualmin) httpd-tools = 1:2.2.15-9.el6.2.vm Available: 1:httpd-tools-2.2.15-9.sl6.vm.i386 (virtualmin) httpd-tools = 1:2.2.15-9.sl6.vm Available: 1:httpd-tools-2.2.15-15.el6.vm.i386 (virtualmin) httpd-tools = 1:2.2.15-15.el6.vm Available: 1:httpd-tools-2.2.15-15.el6.vm.1.i686 (virtualmin) httpd-tools = 1:2.2.15-15.el6.vm.1 Available: 1:httpd-tools-2.2.15-28.el6.vm.i686 (virtualmin) httpd-tools = 1:2.2.15-28.el6.vm Available: 1:httpd-tools-2.2.15-28.el6.vm.1.i686 (virtualmin) httpd-tools = 1:2.2.15-28.el6.vm.1 Available: 1:httpd-tools-2.2.15-29.el6.vm.i686 (virtualmin) httpd-tools = 1:2.2.15-29.el6.vm Available: 1:httpd-tools-2.2.15-29.el6.vm.1.i686 (virtualmin) httpd-tools = 1:2.2.15-29.el6.vm.1 Available: 1:httpd-tools-2.2.15-30.el6.vm.i686 (virtualmin) httpd-tools = 1:2.2.15-30.el6.vm Available: 1:httpd-tools-2.2.15-31.el6.centos.vm.i686 (virtualmin) httpd-tools = 1:2.2.15-31.el6.centos.vm Available: 1:httpd-tools-2.2.15-47.el6.vm.i686 (virtualmin) httpd-tools = 1:2.2.15-47.el6.vm You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

Mon, 08/31/2015 - 10:14
andreychek

Joe is working on all that, thanks for letting us know! It will hopefully be fixed here shortly.

-Eric

Tue, 09/01/2015 - 02:31
mans

Hi everyone,

Ok, thanks. I've the same issue.

Tue, 09/01/2015 - 20:01
rhertzler

After "yum clean all" now getting package not signed errors:

Now updating httpd ..

Installing package(s) with command yum -y install httpd .. Loaded plugins: fastestmirror, refresh-packagekit, security Setting up Install Process Loading mirror speeds from cached hostfile * base: mirror.sesp.northwestern.edu * extras: reflector.westga.edu * updates: mirror.net.cen.ct.gov Resolving Dependencies --> Running transaction check ---> Package httpd.i686 1:2.2.15-39.el6.vm will be updated --> Processing Dependency: httpd = 1:2.2.15-39.el6.vm for package: 2:mod_ssl-2.2.15-39.el6.vm.i686 ---> Package httpd.i686 1:2.2.15-47.el6.vm.1 will be an update --> Processing Dependency: httpd-tools = 1:2.2.15-47.el6.vm.1 for package: 1:httpd-2.2.15-47.el6.vm.1.i686 --> Running transaction check ---> Package httpd-tools.i686 1:2.2.15-39.el6.vm will be updated ---> Package httpd-tools.i686 1:2.2.15-47.el6.vm.1 will be an update ---> Package mod_ssl.i686 2:2.2.15-39.el6.vm will be updated ---> Package mod_ssl.i686 2:2.2.15-47.el6.vm.1 will be an update --> Finished Dependency Resolution Dependencies Resolved ================================================================================ Package Arch Version Repository Size ================================================================================ Updating: Updating for dependencies: httpd-tools i686 1:2.2.15-47.el6.vm.1 virtualmin 76 k mod_ssl i686 2:2.2.15-47.el6.vm.1 virtualmin 95 k Transaction Summary ================================================================================ Upgrade 3 Package(s) Total download size: 1.0 M Downloading Packages: -------------------------------------------------------------------------------- Total 75 kB/s | 1.0 MB 00:13 Package httpd-tools-2.2.15-47.el6.vm.1.i686.rpm is not signed .. install failed!

Now updating httpd-tools ..

Installing package(s) with command yum -y install httpd-tools .. Loaded plugins: fastestmirror, refresh-packagekit, security Setting up Install Process Loading mirror speeds from cached hostfile * base: mirror.sesp.northwestern.edu * extras: reflector.westga.edu * updates: mirror.net.cen.ct.gov Resolving Dependencies --> Running transaction check ---> Package httpd-tools.i686 1:2.2.15-39.el6.vm will be updated --> Processing Dependency: httpd-tools = 1:2.2.15-39.el6.vm for package: 1:httpd-2.2.15-39.el6.vm.i686 ---> Package httpd-tools.i686 1:2.2.15-47.el6.vm.1 will be an update --> Running transaction check ---> Package httpd.i686 1:2.2.15-39.el6.vm will be updated --> Processing Dependency: httpd = 1:2.2.15-39.el6.vm for package: 2:mod_ssl-2.2.15-39.el6.vm.i686 ---> Package httpd.i686 1:2.2.15-47.el6.vm.1 will be an update --> Running transaction check ---> Package mod_ssl.i686 2:2.2.15-39.el6.vm will be updated ---> Package mod_ssl.i686 2:2.2.15-47.el6.vm.1 will be an update --> Finished Dependency Resolution Dependencies Resolved ================================================================================ Package Arch Version Repository Size ================================================================================ Updating: Updating for dependencies: httpd i686 1:2.2.15-47.el6.vm.1 virtualmin 828 k mod_ssl i686 2:2.2.15-47.el6.vm.1 virtualmin 95 k Transaction Summary ================================================================================ Upgrade 3 Package(s) Total size: 1.0 M Downloading Packages: Package httpd-tools-2.2.15-47.el6.vm.1.i686.rpm is not signed .. install failed!

Now updating mod_ssl ..

Installing package(s) with command yum -y install mod_ssl .. Loaded plugins: fastestmirror, refresh-packagekit, security Setting up Install Process Loading mirror speeds from cached hostfile * base: mirror.sesp.northwestern.edu * extras: reflector.westga.edu * updates: mirror.net.cen.ct.gov Resolving Dependencies --> Running transaction check ---> Package mod_ssl.i686 2:2.2.15-39.el6.vm will be updated ---> Package mod_ssl.i686 2:2.2.15-47.el6.vm.1 will be an update --> Processing Dependency: httpd = 1:2.2.15-47.el6.vm.1 for package: 2:mod_ssl-2.2.15-47.el6.vm.1.i686 --> Running transaction check ---> Package httpd.i686 1:2.2.15-39.el6.vm will be updated ---> Package httpd.i686 1:2.2.15-47.el6.vm.1 will be an update --> Processing Dependency: httpd-tools = 1:2.2.15-47.el6.vm.1 for package: 1:httpd-2.2.15-47.el6.vm.1.i686 --> Running transaction check ---> Package httpd-tools.i686 1:2.2.15-39.el6.vm will be updated ---> Package httpd-tools.i686 1:2.2.15-47.el6.vm.1 will be an update --> Finished Dependency Resolution Dependencies Resolved ================================================================================ Package Arch Version Repository Size ================================================================================ Updating: Updating for dependencies: httpd i686 1:2.2.15-47.el6.vm.1 virtualmin 828 k httpd-tools i686 1:2.2.15-47.el6.vm.1 virtualmin 76 k Transaction Summary ================================================================================ Upgrade 3 Package(s) Total size: 1.0 M Downloading Packages: Package httpd-tools-2.2.15-47.el6.vm.1.i686.rpm is not signed .. install failed!
Tue, 09/01/2015 - 23:48
ivanbg

Same problem... "Yum clean all" and then i have tried the update. now the error is "Package httpd-tools-2.2.15-47.el6.vm.1.i686.rpm is not signed" in the updates.

The log for the first one (httpd):

Loaded plugins: fastestmirror Setting up Install Process Loading mirror speeds from cached hostfile * base: mirror.rackspace.com * extras: mirrors.greenmountainaccess.net * updates: mirror.symnds.com Resolving Dependencies --> Running transaction check ---> Package httpd.i686 1:2.2.15-39.el6.vm will be updated --> Processing Dependency: httpd = 1:2.2.15-39.el6.vm for package: 1:httpd-devel-2.2.15-39.el6.vm.i686 --> Processing Dependency: httpd = 1:2.2.15-39.el6.vm for package: 2:mod_ssl-2.2.15-39.el6.vm.i686 ---> Package httpd.i686 1:2.2.15-47.el6.vm.1 will be an update --> Processing Dependency: httpd-tools = 1:2.2.15-47.el6.vm.1 for package: 1:httpd-2.2.15-47.el6.vm.1.i686 --> Running transaction check ---> Package httpd-devel.i686 1:2.2.15-39.el6.vm will be updated ---> Package httpd-devel.i686 1:2.2.15-47.el6.vm.1 will be an update ---> Package httpd-tools.i686 1:2.2.15-39.el6.vm will be updated ---> Package httpd-tools.i686 1:2.2.15-47.el6.vm.1 will be an update ---> Package mod_ssl.i686 2:2.2.15-39.el6.vm will be updated ---> Package mod_ssl.i686 2:2.2.15-47.el6.vm.1 will be an update --> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package Arch Version Repository Size

Updating: Updating for dependencies: httpd-devel i686 1:2.2.15-47.el6.vm.1 virtualmin 153 k httpd-tools i686 1:2.2.15-47.el6.vm.1 virtualmin 76 k mod_ssl i686 2:2.2.15-47.el6.vm.1 virtualmin 95 k

Transaction Summary

Upgrade 4 Package(s)

Total download size: 1.1 M

Downloading Packages:

Total 938 kB/s | 1.1 MB 00:01

Package httpd-tools-2.2.15-47.el6.vm.1.i686.rpm is not signed

Wed, 09/02/2015 - 01:17
netizen

Package httpd-tools-2.2.15-47.el6.vm.1.i686.rpm is not signed

No other problems.

Wed, 09/02/2015 - 09:29
andreychek

Thanks -- looks like we swapped one problem for another! :-) I've notified Joe, he's looking into that.

-Eric

Wed, 09/02/2015 - 11:58
manfer

I have been able to update now but with two warnings.

warning: /etc/httpd/conf/httpd.conf created as /etc/httpd/conf/httpd.conf.rpmnew

warning: /etc/httpd/conf.d/ssl.conf created as /etc/httpd/conf.d/ssl.conf.rpmnew

So which is the best way to proceed from here?

I suppose I should review the new defaults that has not been applyed and had been installed into the .rpmnew files.

Doing a diff on ssl.conf and ssl.conf.rpmnew I can see they differ on SSLCypherSuite value. I have never configured that so I suppose I was using the default from previous version of the package. Shouldn't be better if I use the new defaults?

If I diff the httpd.conf files the new default has not the virtualhost configuration obviously but has some other minor differences. I suppose I should review those ones too, isn't it?

Wed, 09/02/2015 - 12:08
andreychek

Howdy,

Joe just corrected the latest error, so it does sound like it's working now.

As far as what to do with the new defaults -- sure, you're welcome to change those values if you like. In most cases the new values would be preferable.

In particular, the SSLCipherSuite option may be removing some of the ciphers that are found to be less secure.

-Eric

Wed, 09/02/2015 - 12:20
ivanbg

Thank you very much! All ok here :)

Wed, 09/02/2015 - 12:33
rhertzler

All ok here as well. Just the warning mentioned by manfer above.

Wed, 09/02/2015 - 13:35
mans

Ok, it's well for me to. Thanck you very much.

Thu, 09/03/2015 - 01:09
netizen

I just realized that rpmnew values are not applied in the live config after each and every update. Does this mean the suggested values (in the rpmnew) must be applied manually in the normal file?

If yes, are those suggested files (see below) safe and compatible with the presence of virtualmin?

> IfModule prefork.c StartServers 8 MinSpareServers 5 MaxSpareServers 20 ServerLimit 256 MaxClients 256 MaxRequestsPerChild 4000 IfModule .....

IfModule worker.c StartServers 4 MaxClients 300 MinSpareThreads 25 MaxSpareThreads 75 ThreadsPerChild 25 MaxRequestsPerChild 0 IfModule

.... IfModule mod_userdir.c UserDir disabled IfModule

....

My current values for the servers are considerably less and this it the original configuration when I installed Virtualmin. I did not change anything manually.

Please advise...

Many thanks

N

Thu, 09/03/2015 - 10:31
andreychek

Howdy,

Just to clarify, those new parameters are coming from the RedHat/CentOS package, not Virtualmin (Virtualmin reuses the RedHat/CentOS package, but with suexec pointed at /home rather than /var).

Those settings would indeed need to be manually applied.

Are they safe for Virtualmin? Sure!

But are they right for your server -- that's less clear :-)

I'd be reluctant to change the values you mentioned, if your current ones are working.

Things like StartServers and MaxClients are related to available server resources, not security -- I wouldn't change those unless your available resources change.

-Eric